Auto Multiple Choice - Feature # 256: printing papers (when selecting print to files)
Description: Would it be possible to put ALL question papers (for ALL students) in a single PDF-file and ALL the separate

answer sheets also in a single PDF-file?
_I switch to Windows and print the question papers as little booklets which is not possible when using Linux

together with our printers. (Answer sheets are printed as usual as single sheets.)_

History

01/25/2014 03:30 pm - red sea

math user wrote:

> Would it be possible to put ALL question papers (for ALL students) in a single PDF-file and ALL the separate answer sheets also in a single PDF-file?
> _| switch to Windows and print the question papers as little booklets which is not possible when using Linux together with our printers. (Answer sheets

are printed as usual as single sheets.)_

to print All question papers in single pdf-file:

open project folder then copy/past DOC-subject.pdf to usb then print the file in any system (win,linux,mac ...).

to print all answer sheets in single pdf-file :
open AMC then open "Reports tab" , from dropdown list select "one file for all".

regards

01/29/2014 12:33 am - math user

(I use the option @separateanswersheet@.)

red sea wrote:

> to print All question papers in single pdf-file:

> open project folder then copy/past DOC-subject.pdf to usb then print the file in any system (win,linux,mac ...).

In my case this includes the separate answer sheets. | just want all the questions _without_ the answer sheets.

> to print all answer sheets in single pdf-file :

> open AMC then open "Reports tab" , from dropdown list select "one file for all".

I would like to print all the _empty_ separate answer sheets.

In other words, | would like to split DOC-sujet.pdf into two files:
* all questions for all students and
* all separate answer sheets for all students

Example:
Say the questions are on 8 pages and the separate answer sheet has 2 pages. Take just 3 students.
* the wanted file "questions sheets.pdf" consists of pages 1-8, 11-18 and 21-28 of DOC-sujet.pdf

* the wanted file "(separate) answer sheets.pdf" consists of pages 9-10, 19-20 and 29-30 of DOC-sujet.pdf

Thanks!
05/11/2014 06:47 pm - Pieter Van den Hombergh
This is exactly what | always do, though not to the questions, but to the answer sheets.
For this | use the *pdftk* package which is in the ubuntu repository.

| leave the question files as separate documents, because then our printer can staple them automatically and | have not find another way yet.
For the answer sheets | do combine them into one file, which | call *forms.pdf*.

My pdftk command would then be (assuming you are in the copies directory, containing all files):

<pre>

pdftk *A.pdf cat output forms.pdf

</pre>

Then | can use that one file to print the forms (print them single sided,). which | do
on my linux box with

<pre>

Ip -0 sides=one-sided forms,pdf

</pre>

Of course it is simple to also combine the question files in this way.

| try to keep the answer sheets to one page. If one needs more pages, one is best advised to print the single sided, as sometimes colour leaks through
to the other side and you might get scanning errors. And of course single sided printing of the forms file is a must, otherwise two candidates would
have to share one sheet of paper which is a bit impractical to say the least;-))

05/11/2014 09:21 pm - math user
Thanks for the hint, Pieter!

The pdftk package seems to do exactly what | want. Perhaps Alexis can include this in the new version of AMC? That would be great!

11/28/2014 10:46 pm - math user

It would be great if the user could choose if the separate answer sheet is the first or the last sheet (question sheets before or after the separate answer
sheet).

Thanks!

04/20/2015 01:31 pm - Alexis Bienveniie
- Category deleted (LaTeX)

> It would be great if the user could choose if the separate answer sheet is the first or the last sheet
This is now avaliable in the printing options.

04/21/2015 09:47 pm - math user
Thanks for implementing this feature, Alexis!

However, it does not work for me yet.

If | select

@Answer sheet first @ (@Answer sheet printing@),

the command output is

@Student 0001: 2 slices to file [path] ...@

That's it - AMC hangs here.

(The other two answer sheet printing options work perfectly.)

Thanks in advance for fixing this issue.
04/22/2015 09:05 am - Alexis Bienveniie
Can you send a debug mode @log@ file?

04/24/2015 04:51 pm - math user

- File logfile.log added

Here it is.

It says @Can't use <gs> to build multiple-slices PDF file. Please switch to <pdftk>. at /usr/lio/AMC/perl/AMC-imprime.pl line 157.@

But pdftk is set in the AMC-preferences.

Thanks in advance for your help!

04/25/2015 11:59 am - Alexis Bienveniie

> Switching to extract engine gs

Even if you chose <pdftk>, AMC switched to <gs>: it seems that pdktk is not installed.

Can you check that @pdftk@ is installed, and try again?

This lacks some GUI message to explain this to the user, I'm afraid.

04/25/2015 04:59 pm - math user
Now it works. Sorry that | did not get this in the first place!

> This lacks some GUI message to explain this to the user, I'm afraid.

No problem, this is just the development version.
Would it be possible (in version 1.3) to add a dependency so that @pdftk@ is installed automatically together with AMC?

01/06/2016 09:41 am - Alexis Bienveniie
- % Done changed from 0 to 100

- Status changed from New to Closed

Files

logfile.log 5.9kB 04/24/2015 math user
